org.apache.cassandra.auth

## Class AuthCache<K,V>

- java.lang.Object
- - org.apache.cassandra.auth.AuthCache<K,V>

All Implemented Interfaces:
  AuthCacheMBean

Direct Known Subclasses:
  PermissionsCache, RolesCache

    public class AuthCache<K,V>
    extends java.lang.Object
    implements AuthCacheMBean

### Constructor Summary

Constructors

`protected`

`AuthCache(java.lang.String name, java.util.function.Consumer<java.lang.Integer> setValidityDelegate, java.util.function.Supplier<java.lang.Integer> getValidityDelegate, java.util.function.Consumer<java.lang.Integer> setUpdateIntervalDelegate, java.util.function.Supplier<java.lang.Integer> getUpdateIntervalDelegate, java.util.function.Consumer<java.lang.Integer> setMaxEntriesDelegate, java.util.function.Supplier<java.lang.Integer> getMaxEntriesDelegate, java.util.function.Function<K,V> loadFunction, java.util.function.Supplier<java.lang.Boolean> enableCache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`V` `get(K k)`
`int` `getMaxEntries()`
`protected javax.management.ObjectName` `getObjectName()`
`int` `getUpdateInterval()`
`int` `getValidity()`
`protected void` `init()`
`void` `invalidate()`
`void` `invalidate(K k)`
`void` `setMaxEntries(int maxEntries)`
`void` `setUpdateInterval(int updateInterval)`
`void` `setValidity(int validityPeriod)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthCache

    protected AuthCache(java.lang.String name,
                        java.util.function.Consumer<java.lang.Integer> setValidityDelegate,
                        java.util.function.Supplier<java.lang.Integer> getValidityDelegate,
                        java.util.function.Consumer<java.lang.Integer> setUpdateIntervalDelegate,
                        java.util.function.Supplier<java.lang.Integer> getUpdateIntervalDelegate,
                        java.util.function.Consumer<java.lang.Integer> setMaxEntriesDelegate,
                        java.util.function.Supplier<java.lang.Integer> getMaxEntriesDelegate,
                        java.util.function.Function<K,V> loadFunction,
                        java.util.function.Supplier<java.lang.Boolean> enableCache)

### Method Detail

#### init

    protected void init()

#### getObjectName

    protected javax.management.ObjectName getObjectName()
                                                 throws javax.management.MalformedObjectNameException

Throws:
  `javax.management.MalformedObjectNameException`

#### get

    public V get(K k)
          throws java.util.concurrent.ExecutionException

Throws:
  `java.util.concurrent.ExecutionException`

#### invalidate

    public void invalidate()

Specified by:
  `invalidate` in interface `AuthCacheMBean`

#### invalidate

    public void invalidate(K k)

#### setValidity

    public void setValidity(int validityPeriod)

Specified by:
  `setValidity` in interface `AuthCacheMBean`

#### getValidity

    public int getValidity()

Specified by:
  `getValidity` in interface `AuthCacheMBean`

#### setUpdateInterval

    public void setUpdateInterval(int updateInterval)

Specified by:
  `setUpdateInterval` in interface `AuthCacheMBean`

#### getUpdateInterval

    public int getUpdateInterval()

Specified by:
  `getUpdateInterval` in interface `AuthCacheMBean`

#### setMaxEntries

    public void setMaxEntries(int maxEntries)

Specified by:
  `setMaxEntries` in interface `AuthCacheMBean`

#### getMaxEntries

    public int getMaxEntries()

Specified by:
  `getMaxEntries` in interface `AuthCacheMBean`